import request from "@/utils/request";

export function add(data) {
  return request({
    url: "/admin",
    method: "post",
    data
  });
}

export function remove(userId) {
  return request({
    url: `/admin/${userId}`,
    method: "delete"
  });
}

export function login(data) {
  return request({
    url: "/admin/login",
    method: "post",
    data
  });
}

export function getInfo(token) {
  return request({
    url: "/vue-element-admin/user/info",
    method: "get",
    params: { token }
  });
}

export function logout() {
  return request({
    url: "/vue-element-admin/user/logout",
    method: "post"
  });
}

export function search(page, size, data) {
  return request({
    url: `/admin/search/${page}/${size}`,
    method: "post",
    data
  });
}
