/** When your routing table is too long, you can split it into small modules **/

import Layout from "@/layout";

const dictRouter = {
  path: "/dict",
  component: Layout,
  redirect: "/dict/index",
  children: [
    {
      path: "index",
      component: () => import("@/views/dict/index"),
      name: "DictType",
      meta: { title: "字典管理", icon: "dict", noCache: true }
    },
    {
      path: "data",
      component: () => import("@/views/dict/dictdata/index"),
      name: "Dict",
      hidden: true,
      meta: { title: "字典数据", noCache: true }
    }
  ]
};
export default dictRouter;
